<?php
// List of Wordfence scanning server IP addresses
$ips = [
    "44.239.130.172",
    "44.238.191.15",
    "35.155.126.231",
    "54.68.32.247",
    "44.235.211.232",
    "54.71.203.174"
];

// Loop through each IP and try to connect using cURL
foreach ($ips as $ip) {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, "http://$ip");
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10); // timeout after 10 seconds
    curl_setopt($ch, CURLOPT_HEADER, true);
    curl_setopt($ch, CURLOPT_NOBODY, true); // don't need body
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $data = curl_exec($ch);
    $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    if ($data !== false && $httpcode == 200) {
        echo "Successfully connected to $ip<br/>";
    } else {
        echo "Failed to connect to $ip<br/>";
    }
}
?>
