<?php
// Load WordPress
require_once('wp-load.php');

// Ensure the user has the right capabilities
if (current_user_can('manage_options')) {

    // Get all users with the 'administrator' role
    $admins = get_users(array(
        'role' => 'administrator'
    ));

    echo '<h2>List of Administrators</h2>';
    echo '<ul>';
    
    // Loop through each administrator and display their username
    foreach ($admins as $admin) {
        echo '<li>' . esc_html($admin->user_login) . '</li>';
    }

    echo '</ul>';
} else {
    echo '<p>You do not have permission to view this page.</p>';
}
?>
